{{ ansible_managed | comment }}

DEBUG="false"

HOST=0.0.0.0
PORT=5000
SECRET_KEY={{ rps_admin_interface_secret_key }}
GROUPS_OPT_IN=[]
ROLE_ATTRIBUTE_MAPPING={{ rps_admin_interface_role_attribute_mapping | to_json }}

ATTRIBUTE_MAPPING={{ rps_admin_interface_attribute_mapping | to_json }}
MAIL_SUBJECT_REJECTED = {{keycloak_mail_sender_subject_rejected}}
MAIL_SUBJECT_ACCEPTED = {{keycloak_mail_sender_subject_accepted}}
MAIL_LOGIN_LINK={{keycloak_mail_sender_login_link}}
MAIL_SUBJECT_PREFIX={{keycloak_mail_sender_subject_prefix}}
MAIL_FROM={{keycloak_mail_sender_from}}
MAIL_SERVER_CONFIG_HOST={{keycloak_mail_sender_host}}
MAIL_SERVER_CONFIG_PORT={{keycloak_mail_sender_port}}
MAIL_SERVER_CONFIG_SSL={{keycloak_mail_sender_ssl}}
MAIL_SERVER_CONFIG_STARTTLS={{keycloak_mail_sender_starttls}}
MAIL_SERVER_CONFIG_AUTH={{keycloak_mail_sender_auth}}

MAIL_SERVER_CONFIG_USERNAME={{keycloak_mail_sender_username}}
{% if keycloak_mail_sender_password is defined %}
MAIL_SERVER_CONFIG_PASSWORD={{keycloak_mail_sender_password}}
{% else %}
MAIL_SERVER_CONFIG_PASSWORD={{ lookup('ansible.builtin.password', '/dev/null length=32 chars=ascii_letters,digits') }}
{% endif %}

MAIL_SUBJECT_ACCEPTED="{{keycloak_mail_sender_subject_accepted}}"
MAIL_SUBJECT_REJECTED="{{keycloak_mail_sender_subject_rejected}}"

USER_FIRST_NAME_LABEL={{ rps_admin_interface_user_first_name_label }}
USER_LAST_NAME_LABEL={{ rps_admin_interface_user_last_name_label }}
USER_USERNAME_LABEL={{ rps_admin_interface_user_username_label }}
USER_EMAIL_LABEL={{ rps_admin_interface_user_email_label }}
USER_IMPORT_ROLES_LABEL={{ rps_admin_interface_user_import_roles_label }}
USER_IMPORT_GROUPS_LABEL={{ rps_admin_interface_user_import_groups_label }}

MAIL_TEMPLATE_ACCEPT_PATH= {{rps_admin_interface_mail_template_accept_path}}
MAIL_TEMPLATE_REJECT_PATH= {{rps_admin_interface_mail_template_reject_path}}

KEYCLOAK_URL=https://{{keycloak_service_name}}
KEYCLOAK_REALM={{rps_admin_interface_keycloak_realm}}
KEYCLOAK_SECRET={{rps_admin_interface_keycloak_client_secret}}
KEYCLOAK_CLIENT_ID={{ rps_admin_interface_keycloak_client_id }}
KEYCLOAK_REQUIRED_ACTIONS={{ keycloak_required_user_actions | to_json }}

{% if keycloak_registration_form_pages is defined %}
KEYCLOAK_REGISTRATION_FORM_PAGES={{ keycloak_registration_form_pages | to_json }}
{% endif %}
